export default {
  projects: {
    list: "project/list",
    add: "project/add",
  },
  sections: {
    list: "section/list",
    add: "section/add",
    edit: "section/edit",
    delete: "section/del",
  },
  roleUser: {
    listUserRole: "urole/list",
    AddRoleUser: "urole/add",
  },
  roles: {
    list: "role/list",
    add: "role/add",
    edit: "role/edit",
    delete: "role/del",
  },
  permissions: {
    addOrEditUserPermission: "uperm/add",
    addOrEditRolePermission: "rperm/add",
    addOrEditLoginRolePermission: "rperm/login/add",
    deleteUserPermission: "uperm/del",
    deleteRolePermission: "rperm/del",
    listUserPermission: "uperm/list",
    listRolePermission: "rperm/list",
    listUserRole: "rperm/listuser",
    deleteUserRole: "urole/del",
    userPermissionTags: "uperm/list/tags",
  },
  users: {
    list: "/user/list/{{offset}}/{{limit}}/{{sortby}}/{{sortorder}}",
    search:
      "/user/search/{{offset}}/{{limit}}/{{sortby}}/{{sortorder}}/{{query}}",
    create: "user/add",
    update: "user/update",
    updateUserState: "user/update/state",
    delete: "user/delete",
    show: "user/show",
  },
};
