const baseUrl = "beta.thiqat.org/api/";

export default {
    baseUrl: "https://beta.thiqat.org/api/",
    ChartLine:"/persons/id/times?iri={{name}}",
    schema: {
        list: "schema",
    },
    entities: {
        filter_model: "/filter_model/",
        list: "/",
        info: "/id/",
        relations: "/relations/",
        persons: {
            filter_model: "persons/filter_model/",
            list: "persons/",
            info: "persons/id/",
            relations: "persons/id/relations/",
            stats: "persons/stats/",
            correlation_stats: "persons/correlation_stats/",
        },
        hadiths: {
            filter_model: "hadiths/filter_model",
            list: "hadiths/",
            info: "hadiths/id"
        },
        terms: {
            filter_model: "terms/filter_model",
            list: "terms/",
            info: "terms/id"  
        }
    },
    persons: {
        stats: "persons/stats/?parent_iri={{value}}",
        // id:"persons/id/times?iri={{id}}",
        id:"persons/id/times",
        correlation:"persons/correlation_stats?parent1_iri={{id1}}&parent2_iri={{id2}}"
    },
};
