3. Server Utilities
   You can place reusable server-side utilities or helper functions in the server/utils/ directory. These utilities can be imported and used in your API routes or middleware.

export const getGreeting = (name: string) => {
return `Hello, ${name}!`;
};

    Use it in an API route:

    import { getGreeting } from '~/server/utils/greeting';

    export default defineEventHandler((event) => {
      const name = getQuery(event).name || 'World';
      return getGreeting(name as string);
    });
