// https://github.com/unjs/unhead/blob/main/packages/schema/src/schema.ts

// Below are the non-reactive types used for useHead, app.head and components.
export type Posts = {
  post: Post[];
};

export type Post = {
  id: number;
  userId: number;
  body: string;
  title: string;
};

export type PostWithPath = Post & {
  path: string;
};
